package com.sunxung.factoring.entity.project.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * <p>
 * 欠税公告列表信息
 * </p>
 *
 * @author liutao
 * @since 2023-11-21
 */
public class CTaxOweNoticeData {

    private static final long serialVersionUID = 1L;
    private Long id;
    /**
     * 欠税税种
     */
    private String title;

    /**
     * 欠税余额（元）
     */
    private String amount;

    /**
     * 当前新发生的欠税金额（元）
     */
    private String newAmount;

    /**
     * 发布单位
     */
    private String punishOffice;

    /**
     * 发布日期，精确到天，如“2022-01-01”
     */
    private String punishDate;

    /**
     * 欠税公告id
     */
    private Long cTaxOweNoticeId;

    @JSONField(name = "id")
    private String  idStr;

    /**
     * 欠税公告 0 否 1 是
     */
    private Integer taxOweNotice;

    public Integer getTaxOweNotice() {
        return taxOweNotice;
    }

    public void setTaxOweNotice(Integer taxOweNotice) {
        this.taxOweNotice = taxOweNotice;
    }

    public String getIdStr() {
        return idStr;
    }

    public void setIdStr(String idStr) {
        this.idStr = idStr;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }
    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }
    public String getNewAmount() {
        return newAmount;
    }

    public void setNewAmount(String newAmount) {
        this.newAmount = newAmount;
    }
    public String getPunishOffice() {
        return punishOffice;
    }

    public void setPunishOffice(String punishOffice) {
        this.punishOffice = punishOffice;
    }
    public String getPunishDate() {
        return punishDate;
    }

    public void setPunishDate(String punishDate) {
        this.punishDate = punishDate;
    }
    public Long getcTaxOweNoticeId() {
        return cTaxOweNoticeId;
    }

    public void setcTaxOweNoticeId(Long cTaxOweNoticeId) {
        this.cTaxOweNoticeId = cTaxOweNoticeId;
    }

    @Override
    public String toString() {
        return "CTaxOweNoticeData{" +
            "title=" + title +
            ", amount=" + amount +
            ", newAmount=" + newAmount +
            ", punishOffice=" + punishOffice +
            ", punishDate=" + punishDate +
            ", cTaxOweNoticeId=" + cTaxOweNoticeId +
        "}";
    }
}
